# Custom Challenges
This is a mod that adds a lot of new challenges to the game peglin! You can also easily add your own challenges and share them with others! Each week will also feature a new weekly challenge!

### SAVE FILE WARNING
This mod does manipulate save files. Please back-up your save file before using.

### Required Mods
ProLib [[Github](https://github.com/ruiner189/ProLib)] [[Thunderstore](https://peglin.thunderstore.io/package/Promethium/ProLib/)]

### How to play a custom challenge
To start, go to the main menu and click "Challenges". A menu will pop-up and you can select the challenge you want to play. Each challenge will have it's own save file, and the color will change depending on if you have cleared it or not. Some challenges require others to be completed before showing up.

### Adding More Challenges
Adding a challenge is very easy! With some text editing software, you can add your own in a matter of minutes! Please check out the wiki for more information! https://github.com/ruiner189/CustomChallenges/wiki

### Special Requests
Have a special request? Want your challenge to be included in the mod? Send an issue at https://github.com/ruiner189/CustomChallenges/issues

### Bug Reports
Bug reports should be made on github! Just follow this link to get started: https://github.com/ruiner189/CustomChallenges/issues

## Changelog

<details>
  <summary> v1.2.1 </summary>

* Fixed orbs not being reset when leaving a challenge.
* Fixed no orbs being available when playing a game.
</details>

<details>
  <summary> v1.2.0 </summary>

* Added new Challenge: Kleptomania
* Added new Challenge: Time Attack IV
* Added new challenge properties: startingRelicRarity, startingRelicAmount, forcePostBattlePick, forceTreasurePick, forceCruciballLevel
* Inconsequential Shortcut now starts with Eye of Turtle and a boss relic
* Consequential Shortcut now starts with Eye of Turtle, a boss relic, a rare relic, and a common relic. Enemy health increased from 0.5x to 1.0x
</details>

<details>
  <summary> v1.1.2 </summary>

* Fixed scenario issues with some challenges
* Fixed pacifist soft-lock
* Fixed font not changing when on a different language
</details>

<details>
  <summary> v1.1.1 </summary>

* Fixed Cruciball Progress on challenges not working correctly
* Added Property "startingCruciballLevel"
</details>

<details>
  <summary> v1.1.0 </summary>

* Added Weekly Challenges
* Challenge Pacifist has been nerfed
* Challenge Mightiest Stone scenarios have been fixed
* Added Localization Support
* Fixed bug when loading challenges from save file not applying all challenge information
</details>

<details>
  <summary> v1.0.0 </summary>

* Initial Commit
</details>
